import { es } from 'vuetify/src/locale'
// By Alejandro Gayol
export default {
    ...es,
    home: {
        name: 'Inicio',
        title: 'Regresar los Dislikes de YouTube',
        subtitle: 'Una extensión de navegador y una API que te muestra los dislikes en YouTube',
        ukraine: 'Apoya a Ucrania',
        sponsors: 'Patrocinadores',
    },
    install: {
        name: 'Instalar',
        title: 'Elige tu plataforma',
        subtitle: 'Disponible para Firefox y todos los navegadores Chromium',
        title2: 'Otras plataformas',
        subtitle2: 'Si tu navegador aún no es compatible, usa este UserScript',
        title3: 'Implementaciones de terceros',
        subtitle3: 'No nos hacemos responsables, úsalas bajo tu propio riesgo',
    },
    api: {
        name: 'API',
        title: '¡Bienvenido a la documentación oficial de RYD!',
        subtitle: 'Para empezar, elige una sección del menú.',
        rights: {
            title: 'Derechos de uso',
            subtitle: 'El uso de terceros de esta API abierta se permite bajo las siguientes restricciones: ',
            bullet1: 'Atribución: ',
            bullet1text: 'El proyecto debe estar claramente atribuido con un link a esta página o a returnyoutubedislike.com',
            bullet2: 'Límites de velocidad',
            bullet2text: 'Hay límites de velocidad por cliente de 100 por minuto y 10.000 por día. Esto regresará un código de estado 409 indicando que tu aplicación debe bajar la velocidad.',
        },
        url: {
            title: 'Información de URL',
            subtitle: 'Esta API es accesible sobre la siguiente URL base: ',
        },
        endpoints: {
            title: 'Endpoints disponibles',
            subtitle: 'La lista de los endpoints disponibles está disponible aquí: ',
        },
        fetching: {
            title: 'Tutorial de consulta básica',
            subtitle: 'Ejemplo para obtener los votos del ID de un vídeo de YouTube: ',
            title2: 'Consulta de ejemplo: ',
            url: 'URL de la consulta: ',
            method: 'Método de la consulta: ',
            headers: 'Encabezados: ',
            response: 'Respuesta: ',
            error1: 'Un ID de YouTube inválido responderá con el código de estado 404 "Not Found"',
            error2: 'Un ID de YouTube con mal formato responderá con 400 "Bad Request"'
        },
    },
    help: {
        name: 'Ayuda',
        title: 'Solución de problemas',
        bullet1: 'Asegúrate de que tienes la última versión de la extensión instalada, ',
        bullet11: 'ahora mismo',
        bullet2: 'Prueba a eliminar la extensión e instalarla de nuevo, después reinicia el navegador (todas las ventanas activas, no solo una pestaña)',
        bullet3: 'Asegúrate de qué este link se abre: ',
        bullet31: 'deberías ver este texto: ',
        bullet4: 'Si nada de esto funciona, reporta tú problema en',
        bullet41: 'en nuestro',
        bullet4a: 'Dínos tu sistema operativo, nombre del navegador y versión del navegador',
        bullet4b: 'Toma una captura de pantalla de la página con el problema (cómo una página de un vídeo de YouTube) con la consola abierta (pulsa ',
        bullet4b1: ') - captura de pantalla de ejemplo abajo.',
        bullet4c: 'Toma una captura de la página de extensiones de tu navegador con la extensión instalada.',
        bullet4c1: 'Para ver las extensiones pon esto en la barra de dirección: ',
        firefox: 'para Firefox',
        chrome: 'para Chrome, Edge, Brave, Opera, Vivaldi',
    },
    faq: {
        name: 'FAQ',
        title: 'Preguntas frecuentes',
        subtitle: '¿Sígues teniendo problemas? ¡Sientete libre de unirte a nuestro Discord (en inglés)!',
        bullet1: '¿De dónde saca sus datos la extensión?',
        bullet1text: 'Una combinación de datos archivados antes de que la API oficial de dislikes de YouTube se apagará, y datos estimados basados en los usuarios.',
        bullet2: '¿Por qué no se actualiza el contador de dislikes?',
        bullet2text: 'Ahora mismo los dislikes son guardados y no se actualizan muy frecuentemente. Varia dependiendo de la popularidad de un vídeo pero puede tardar entre unas pocas horas y unos pocos días en actualizarse.',
        bullet3: '¿Cómo funciona esto?',
        bullet3text: 'La extensión recoge el ID del vídeo qué estas viendo, carga los dislikes (y otros campos cómo las visitas, likes, etc) usando nuestra API. Entonces, la extensión muestra los dislikes y el radio en la página. Si le das like o dislike a un vídeo, eso se guarda y se envía a la base de datos para qué un contador de dislikes más acertado pueda ser creado.',
        bullet4: '¿Puedo compartir mi contador de dislikes con vosotros?',
        bullet4text: 'Próximamente. Estamos investigando en usar Oauth o una API diferente de solo lectura con alcance limitado para que los creadores puedan compartir sus contadores de dislikes verificablemente.',
        bullet5: '¿Qué datos guardais y cómo son guardados?',
        bullet5text: 'La extensión solo guarda datos que son estrictamente necesarios para que funcione correctamente, cómo la dirección IP o el ID del vídeo que estas viendo. Tus datos nunca serán vendidos a terceros. Si te gustaría saber más sobre cómo tratamos la seguridad y la privacidad mira nuestra <a href="https://github.com/Anarios/return-youtube-dislike/blob/main/Docs/SECURITY-FAQ.md">security FAQ</a>.',
        bullet6: '¿Cómo funciona la API/Backend?',
        bullet6text: 'El backend usa datos archivados de cuando la API de YouTube seguía proporcionando el contador de dislikes, los votos de usuarios de la extensión y extrapolación. En un futuro cercano permitíremos a los creadores de contenido proporcionar su contador de dislikes de forma fácil y segura y añadíremos datos archivados de ArchiveTeam (4,56 billones de vídeos) en nuestra base de datos. También puedes ver un vídeo al respecto.',
        bullet7: '¿Porque el contador de dislikes dice "DISLIKES DISABLED"?',
        bullet7text: 'A veces, un vídeo subido recientemente puede mostrar "DISLIKES DISABLED" incluso si el creador no lo ha desactivado, esto se debe a la forma en que detectamos si los "dislikes" están desactivados, debería desaparecer en unas horas o al darle like o dislike al vídeo y actualizar la página (con suerte).',
    },
    donate: {
        name: 'Donar',
        subtitle: '¡Puedes apoyar nuestros esfuerzos de mantener el internet libre con una donación!',
    },
    links: {
        name: 'Enlaces',
        title: 'Links del proyecto',
        subtitle: 'Links al proyecto y sus desarrolladores',
        contact: 'Contactame',
        translators: 'Traductores',
    },
}